import Vue from 'vue'
import Router from 'vue-router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import login from '@/components/login'
import index from '@/components/index'
import indexGM from '@/components/GM/indexGM'
import studentIndex from '@/components/studentIndex'
import courseDetail from '@/components/courseDetail'
import courseDetailS from '@/components/student/courseDetail'
import courseDetailGM from '@/components/GM/courseDetailGM'
import mine from '@/components/mine'
import project from '@/components/project'
import works from '@/components/works'
import worksGM from '@/components/GM/worksGM'
import score from '@/components/score'
import notice from '@/components/notice'
import noticeDetail from '@/components/noticeDetail'
import study from '@/components/study'
import liveRoom from '@/components/liveRoom'
import liveProjectDetail from '@/components/liveProjectDetail'
import audioDemo from '@/components/audioDemo'
import cameraDemo from '@/components/cameraDemo'
import studyStudent from '@/components/studyStudent'
import studyStudentS from '@/components/student/studyStudent'
import studyStudentGM from '@/components/GM/studyStudentGM'
import pdf from '@/components/pdf'

Vue.use(Router).use(ElementUI)

export default new Router({
    routes: [
        // {
        //   path: '/login',
        //   name: 'login',
        //   component: login
        // },
        {
            path: '/',
            redirect: '/index'
        },
        {
            path: '/index',
            name: 'index',
            component: index,
            requireAuth: ''
        },
        {
            path: '/studentIndex',
            name: 'studentIndex',
            component: studentIndex,
            requireAuth: ''
        },
        {
            path: '/indexGM',
            name: 'indexGM',
            component: indexGM,
            requireAuth: ''
        },
        {
            path: '/courseDetail',
            name: 'courseDetail',
            component: courseDetail,
            requireAuth: ''
        },
        {
            path: '/courseDetailGM',
            name: 'courseDetailGM',
            component: courseDetailGM,
            requireAuth: ''
        },
        {
            path: '/mine',
            name: 'mine',
            component: mine,
            requireAuth: ''
        },
        {
            path: '/project',
            name: 'project',
            component: project,
            requireAuth: ''
        },
        {
            path: '/works',
            name: 'works',
            component: works,
            requireAuth: ''
        },
        {
            path: '/worksGM',
            name: 'worksGM',
            component: worksGM,
            requireAuth: ''
        },
        {
            path: '/score',
            name: 'score',
            component: score,
            requireAuth: ''
        },
        {
            path: '/notice',
            name: 'notice',
            component: notice,
            requireAuth: ''
        },
        {
            path: '/noticeDetail',
            name: 'noticeDetail',
            component: noticeDetail,
            requireAuth: ''
        },
        {
            path: '/study',
            name: 'study',
            component: study,
            requireAuth: ''
        },
        {
            path: '/liveRoom',
            name: 'liveRoom',
            component: liveRoom,
            requireAuth: ''
        },
        {
            path: '/liveProjectDetail',
            name: 'liveProjectDetail',
            component: liveProjectDetail,
            requireAuth: ''
        },
        {
            path: '/audioDemo',
            name: 'audioDemo',
            component: audioDemo,
            requireAuth: ''
        },
        {
            path: '/cameraDemo',
            name: 'cameraDemo',
            component: cameraDemo,
            requireAuth: ''
        },
        {
            path: '/studyStudent',
            name: 'studyStudent',
            component: studyStudent,
            requireAuth: ''
        },{
            path: '/studyStudentGM',
            name: 'studyStudentGM',
            component: studyStudentGM,
            requireAuth: ''
        },{
            path: '/pdf',
            name: 'pdf',
            component: pdf,
            requireAuth: ''
        },
        {
            path: '/studyStudentS',
            name: 'studyStudentS',
            component: studyStudentS,
            requireAuth: ''
        }, {
            path: '/courseDetailS',
            name: 'courseDetailS',
            component: courseDetailS,
            requireAuth: ''
        }
    ]
})